Package org.globus.gsi.stores

# Class ResourceStoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
org.globus.gsi.stores.ResourceStoreException

All Implemented Interfaces:
  `Serializable`

public class ResourceStoreException extends GeneralSecurityException
Created by IntelliJ IDEA. User: turtlebender Date: Dec 30, 2009 Time: 9:25:02 AM To change this template use File | Settings | File Templates.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResourceStoreException()`
`ResourceStoreException(String s)`
`ResourceStoreException(String s, Throwable throwable)`
`ResourceStoreException(Throwable throwable)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceStoreException

public ResourceStoreException()

### ResourceStoreException

public ResourceStoreException(String s)

### ResourceStoreException

public ResourceStoreException(String s, Throwable throwable)

### ResourceStoreException

public ResourceStoreException(Throwable throwable)